# $Revision: 1.9 $, $Date: 2010/06/06 08:37:10 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	GStreamer
%define		pnam	Interfaces
Summary:	Perl gstreamer base plugins bindings
Summary(pl.UTF-8):	Wiązania podstawowych wtyczek gstreamera dla Perla
Name:		perl-GStreamer-Interfaces
Version:	0.06
Release:	2
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	aa9583a484fa6829935b360887ecda45
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.9
BuildRequires:	perl-ExtUtils-Depends >= 0.205
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.07
BuildRequires:	perl-GStreamer >= 0.09
BuildRequires:	perl-Glib >= 1.180
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-GStreamer >= 0.09
Requires:	perl-Glib >= 1.180
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides Perl access to gstreamer base plugins library.

%description -l pl.UTF-8
Ten moduł daje dostęp z poziomu Perla do podstawowych wtyczek
gstreamera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/GStreamer/Interfaces/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%{perl_vendorarch}/GStreamer/Interfaces.pm
%dir %{perl_vendorarch}/GStreamer/Interfaces
%dir %{perl_vendorarch}/auto/GStreamer/Interfaces
%attr(755,root,root) %{perl_vendorarch}/auto/GStreamer/Interfaces/*.so
%{perl_vendorarch}/GStreamer/Interfaces/Install
%{perl_vendorarch}/auto/GStreamer/Interfaces/*.bs
%{_mandir}/man3/GStreamer::Interfaces*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GStreamer-Interfaces.spec,v $
Revision 1.9  2010/06/06 08:37:10  arekm
- release 2

Revision 1.8  2010/03/24 07:45:50  amateja
- updated to 0.06

Revision 1.7  2010/03/09 07:35:26  amateja
- updated to 0.05

Revision 1.6  2008/07/20 09:04:07  qboosh
- updated to 0.04

Revision 1.5  2008/01/10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.4  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.2  2006/09/10 12:02:51  qboosh
- pl cosmetic, readable files

Revision 1.1  2006/08/26 19:27:39  grzegol
- new
